

-- Contributors: humfras

local Poison_unknown = ".*Poison%s*([IVX]*)"
local CPName = GetItemInfo(3775);	--Verkrppelndes Gift
local MPName = ".*umbing Poison"	--GetItemInfo(5237);	--Gedankenbenebelndes Gift
local DPName = GetItemInfo(2892);	--Tdliches Gift
local IPName = GetItemInfo(6947);	--Sofort wirkendes Gift
local WPName = GetItemInfo(10918);	--Wundgift

	if (CPName == nil) then
	CPName = Poison_unknown
	end
	if (MPName == nil) then
	MPName = Poison_unknown
	end
	if (DPName == nil) then
	DPName = Poison_unknown
	end
	if (IPName == nil) then
	IPName = Poison_unknown
	end
	if (WPName == nil) then
	WPName = Poison_unknown
	end

-- 
-- Regular expressions to match poison names
-- 
Poisoner_Patterns = {
	""..CPName.."",
	""..MPName.."",
	""..DPName.."",
	""..IPName.."",
	""..WPName.."",
	"%w+ Sharpening Stone",
	"%w+ Weightstone",
	".*Mana Oil",
	".*Wizard Oil",
	"Frost Oil",
	"Shadow Oil",
    --    ".*Poison%s*([IVX]*)"
};

--
-- Other internal strings
--

-- the pattern to search for in a tooltip for the number of charges
-- remaining on an expendable item
POISONER_PATTERN_CHARGES = "^(%d+) Charges$";

--
-- Display strings
--

-- tooltip strings
POISONER_MINIMAPBUTTON_TIP1 = "Poisoner";
-- error messages
POISONER_COMMANDERROR = "Unknown poisoner command: ";
POISONER_DRAGERROR = "Error dragging poisoner button";
POISONER_POSITIONERROR = "Unknown position option";
POISONER_LOWSTOCKWARNING = "Some Poisons are below 10% stock. Visit a vendor asap!";

-- UI labels
PoisonerOptions_SETTINGS = "Poisoner";
PoisonerOptions_SETTINGS1 = GAMEOPTIONS_MENU; --"Options"
PoisonerOptions_SETTINGS2 = "Menu";		--"Menu"
PoisonerOptions_SETTINGS3 = "Timer";		--"Timer"
PoisonerOptions_SETTINGS4 = "AutoBuy";	--"AutoBuy"		--MINIMAP_TRACKING_VENDOR_POISON;		--"Poisons"
PoisonerOptions_SETTINGS5 = "Poison sets";		--"Poison sets"
PoisonerOptions_SETTINGS_CLOSE = "Close";
PoisonerOptions_SETTINGS_SAVE = "Save";

-- messages
Poisoner_TooltipTitle = "Current poison set:";

--Buttons / Menu
PoisonerOptions_LB_OptionsTitle = "-= "..GAMEOPTIONS_MENU.." =-";
PoisonerOptions_LB_Enable = "Enable |cff1eff00Poisoner|r";
PoisonerOptions_LB_MBTitle = "PoisonerButtons:";
PoisonerOptions_LB_MBShow = "Show PoisonerMinimapButton";
PoisonerOptions_LB_FBShow = "Show Poisoner_FreeButton";
PoisonerOptions_LB_FBLock = "Lock Poisoner_FreeButton";
PoisonerOptions_LB_FBReset = "reset position";
PoisonerOptions_LB_MenuTitle = "-= Menu =-";
PoisonerOptions_LB_MenuParentTitle = "PoisonMenu parent frame:";
PoisonerOptions_LB_MenuParentOwn = "FreeButton";
PoisonerOptions_LB_MenuParentMinimap = "MinimapButton";
PoisonerOptions_LB_MPTitle = "Menu position:";
PoisonerOptions_LB_MPLeft = "Left";
PoisonerOptions_LB_MPRight = "Right";
PoisonerOptions_LB_MScaleTitle = "Menu Scale:";
PoisonerOptions_LB_MSpacingTitle = "MenuButton Spacing:";

--ToolTip
PoisonerOptions_LB_TTTitle = "ToolTip:";
PoisonerOptions_LB_TTFull = "Full";
PoisonerOptions_LB_TTName = "Item name only";

--Overwrite Preset
PoisonerOptions_LB_OPTitle = "PoisonerMenu to QuickButton:";
PoisonerOptions_LB_OPActive = "Overwrite presets";
PoisonerOptions_LB_OPInfo = "If checked, applying poisons via the PoisonerMenu will (|cff0066fftemporarily|r) overwrite the corresponding presets of the QuickButton.";
PoisonerOptions_LB_PWChatOutput = "Post choosen Poisons in Chat";
PoisonerOptions_LB_PresetTitle = "-= Poison presets =-";

--Timer
PoisonerOptions_LB_TimerTitle = "-= Timer =-";
PoisonerOptions_LB_ShowTimer = "Show timer for expiring poisons";
PoisonerOptions_LB_Threshold = "Warning Threshold:";
PoisonerOptions_LB_TimerMinute = "(minutes)";
PoisonerOptions_LB_TimerOutput = "Show poison timer warning via:";
PoisonerOptions_LB_TimerOutput_Aura = "Aura";
PoisonerOptions_LB_TimerOutput_Aura_Lock = "Lock / unlock Aura frame";
PoisonerOptions_LB_TimerOutput_Chat = CHAT_LABEL;	--"Chat"
PoisonerOptions_LB_TimerOutput_RaidWarning = CHAT_MSG_RAID_WARNING;	--"Raid Warning"
PoisonerOptions_LB_TimerOutput_ErrorFrame = "ErrorFrame";	--"Error Frame"

--AutoBuy
PoisonerOptions_LB_AutoBuy = "Automated poison restock feature:";
PoisonerOptions_LB_AutoBuyCheckbox = "Buy poisons automatically";
PoisonerOptions_LB_AutoBuyPrompt = "Buy Poisons without confirmation";
PoisonerOptions_LB_AutoBuyCheck = "Warn if stock is below 10% of the choosen amount to buy.";
PoisonerOptions_LB_AutoBuyTitle = "-= AutoBuy Options =-";
PoisonerOptions_LB_AutoBuyAmount = "Amount to buy and check for (if below 10%)\n===================";
PoisonerOptions_LB_AutoBuyInfo = "To setup AutoBuy, choose the amount of the poison via the respective slider.\nTo save the choosen amount and enable buying, check |cffFFD100"..PoisonerOptions_LB_AutoBuyCheckbox.."|r and click |cffFFD100"..PoisonerOptions_SETTINGS_SAVE.."|r below.";

--QuickButton
PoisonerOptions_LB_QuickButton_Lock = "Lock/Unlock QuickButton";

--Questions
PoisonerOptions_RestockQuestion = "Do you want to restock all choosen poisons?";

--Key Bindings
BINDING_HEADER_Poisoner = "|cff1eff00Poisoner|r";
BINDING_NAME_PoisonerToggleMenu = "Toggle Menu";
BINDING_NAME_PoisonerToggleConfig = "Toggle Config";

